function toggleNormals(h)

global dX
global dY
global contourViewWin
global c
global T

set(0, 'CurrentFigure', contourViewWin);
if get(h, 'Value') == 1
	hold on; 
	quiver(dX, dY, 'k');
	hold off;
else
	[m, n] = size(T); 
	c = backtrack(T, 0.1, m, n);
	contour(T, 30);
	hold on; 
	line(c(1:end, 2), c(1:end, 1));
	hold off;
	axis equal tight;
	xlabel('Curve 2');
	ylabel('Curve 1');
end
